package com.nx.umms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nx.umms.model.entity.ModelSubscribe;
import com.nx.umms.model.entity.TreeNode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:25
 * @Description:模型订阅数据层接口
 */

@Mapper
public interface ModelSubscribeMapper extends BaseMapper<ModelSubscribe> {

    List<TreeNode> selectOrganData();

    List<TreeNode> selectModelAndModelGroup(@Param("searchCondition") String searchCondition);
}
