package com.nx.umms.service;

import com.nx.umms.common.utils.res.ResultVO;
import com.nx.umms.model.entity.ModelClassify;
import com.nx.umms.model.vo.OcpModelGroupVO;

import java.util.List;

/**
 * @author huxiuwu
 * @version 1.0
 * @date 2022/3/8 15:19
 */
public interface ModelClassifyService {
    ResultVO<List<OcpModelGroupVO>> getModelNavigation();

    ResultVO insert(List<ModelClassify> list);

    ResultVO subclassDetailsList(int currentPage,int pageSize,String parentGroupCode,String subclassGroupName);

    ResultVO update(List<ModelClassify> list);

    ResultVO delete(String modelGroupCode);

    /**
     * 删除模型分类
     *
     * @param objId
     * @param modelCode
     * @param groupCompanyCode
     * @return
     */
    Integer deleteModelClassify(String objId, String modelCode, String groupCompanyCode);
}
